#***********************************************************************
#*                                                                     *
#*  VisualAge for C++ for Windows, Version 3.5                         *
#*    Licensed Material - Property of IBM                              *
#*                                                                     *
#*  5801-ARR and Other Materials                                       *
#*                                                                     *
#*  (c) Copyright IBM Corp 1996. All rights reserved.                  *
#*                                                                     *
#***********************************************************************

#############
LC_CTYPE
#############

upper     <A>;...;<Z>;\
          <OE-Ligature-Capital>

lower     <a>;...;<z>;\
          <a-Grave-Small>;\
          <a-Circumflex-Small>;\
          <c-Cedilla-Small>;\
          <e-Grave-Small>;\
          <e-Acute-Small>;\
          <e-Circumflex-Small>;\
          <e-Diaeresis-Small>;\
          <i-Circumflex-Small>;\
          <i-Diaeresis-Small>;\
          <o-Circumflex-Small>;\
          <u-Grave-Small>;\
          <u-Circumflex-Small>;\
          <u-Diaeresis-Small>


alpha     <A>;...;<Z>;\
          <a>;...;<z>;\
          <Aleph-Madda-(A)-Intrinsic>;\
          <Aleph-Hamza-(A)-Intrinsic>;...;<Theh-(A)---Intrinsic>;\
          <Jeem-(A)---Intrinsic>;...;<Feh-(A)---Intrinsic>;\
          <Hamza-(A)---Intrinsic>;...;<Ghayn-(A)---Intrinsic>;\
          <tatweel>;\
          <Peh-(F>;\
          <OE-Ligature-Capital>;\
          <Tcheh-(F>;\
          <Zheh-(F),-Zzeh-(U)-Intrinsic>;\
          <Gaf-(F>;\
          <Hamza-(A)---Intrinsic>;\
          <Aleph-Madda-(A)-Intrinsic>;\
          <Aleph-Hamza-(A)-Intrinsic>;\
          <Waw-Hamza-(A)---Intrinsic>;\
          <Hamza-under-Aleph-(A)-Intrins>;\
          <Yeh-Hamza-(A)---Intrinsic>;\
          <Aleph-(A)---Intrinsic>;\
          <Beh-(A)---Intrinsic>;\
          <Teh-Marbuta-(A)---Intrinsic>;\
          <Teh-(A)---Intrinsic>;\
          <Theh-(A)---Intrinsic>;\
          <Jeem-(A)---Intrinsic>;\
          <Hah-(A)---Intrinsic>;\
          <Khah-(A)---Intrinsic>;\
          <Dal-(A)---Intrinsic>;\
          <Thal-(A)---Intrinsic>;\
          <Reh-(A)---Intrinsic>;\
          <Zayn-(A)---Intrinsic>;\
          <Seen-(A)---Intrinsic>;\
          <Sheen-(A)---Intrinsic>;\
          <Sad-(A)---Intrinsic>;\
          <Dud-(A)---Intrinsic>;\
          <Tah-(A)---Intrinsic>;\
          <Zah-(A)---Intrinsic>;\
          <Ayn-(A)---Intrinsic>;\
          <Ghayn-(A)---Intrinsic>;\
          <Feh-(A)---Intrinsic>;\
          <Qaf-(A)---Intrinsic>;\
          <Caf-(A)---Intrinsic>;\
          <a-Grave-Small>;\
          <Lam-(A)---Intrinsic>;\
          <a-Circumflex-Small>;\
          <Meem-(A)---Intrinsic>;\
          <Noon-(A)---Intrinsic>;\
          <Heh-(A)---Intrinsic>;\
          <Waw-(A)---Intrinsic>;\
          <c-Cedilla-Small>;\
          <e-Grave-Small>;\
          <e-Acute-Small>;\
          <e-Circumflex-Small>;\
          <e-Diaeresis-Small>;\
          <Aleph-Maksura-(A)---Intrinsic>;\
          <Yeh-(A)---Intrinsic>;\
          <i-Circumflex-Small>;\
          <i-Diaeresis-Small>;\
          <Fathatan-(A)---Intrinsic>;\
          <Dammatan-(A)---Intrinsic>;\
          <Kasratan-(A)---Intrinsic>;\
          <Fatha-(A)---Intrinsic>;\
          <o-Circumflex-Small>;\
          <Damma-(A)---Intrinsic>;\
          <Kasra-(A)---Intrinsic>;\
          <Shadda-(A)---Intrinsic>;\
          <u-Grave-Small>;\
          <Sukun-(A)---Intrinsic>;\
          <u-Circumflex-Small>;\
          <u-Diaeresis-Small>

space     <tab>;\
          <newline>;\
          <vertical-tab>;\
          <form-feed>;\
          <carriage-return>;\
          <space>;\
          <nobreakspace>

cntrl     <NUL>;...;<IS1>;\
          <DEL>;\
          <VTS>;\
          <SS3>;\
          <SOS>;\
          <SCI>;\
          <APC>

punct     <exclamation-mark>;...;<slash>;\
          <colon>;...;<commercial-at>;\
          <left-square-bracket>;...;<grave-accent>;\
          <left-brace>;...;<tilde>;\
          <arabic-comma>;\
          <arabic-semicolon>;\
          <arabic-questionmark>;\
          <Left-Lower-Single-Quote>;\
          <Left-Lower-Double-Quotes>;\
          <Left-Angle-Single-Quote>;\
          <Left-Single-Quote>;\
          <Right-Single-Quote>;\
          <Left-Double-Quotes>;\
          <Right-Double-Quotes>

graph     <exclamation-mark>;...;<tilde>;\
          <Peh-(F>;\
          <Left-Lower-Single-Quote>;\
          <Florin-Sign>;\
          <Left-Lower-Double-Quotes>;\
          <Ellipsis>;\
          <Dagger>;\
          <Double-Dagger>;\
          <Circumflex-Accent-Over-Small>;\
          <Permille-Symbol>;\
          <Left-Angle-Single-Quote>;\
          <OE-Ligature-Capital>;\
          <Tcheh-(F>;\
          <Zheh-(F),-Zzeh-(U)-Intrinsic>;\
          <Gaf-(F>;\
          <Left-Single-Quote>;\
          <Right-Single-Quote>;\
          <Left-Double-Quotes>;\
          <Right-Double-Quotes>;\
          <Bullet>;\
          <Em-Dash>;\
          <Trademark-Symbol,-Serif>;\
          <Non-Joiner,-Zero-Width>;\
          <Joiner,-Zero-Width>;\
          <Yen-Sign>;\
          <Diaeresis>;\
          <Copyright-Symbol>;\
          <Registered-Trademark-Symbol>;\
          <Macron-Accent>;\
          <degree>;...;<Right_To_Left-Mark-Zero-Width>

print     <space>;...;<tilde>;\
          <Peh-(F>;\
          <Left-Lower-Single-Quote>;\
          <Florin-Sign>;\
          <Left-Lower-Double-Quotes>;\
          <Ellipsis>;\
          <Dagger>;\
          <Double-Dagger>;\
          <Circumflex-Accent-Over-Small>;\
          <Permille-Symbol>;\
          <Left-Angle-Single-Quote>;\
          <OE-Ligature-Capital>;\
          <Tcheh-(F>;\
          <Zheh-(F),-Zzeh-(U)-Intrinsic>;\
          <Gaf-(F>;\
          <Left-Single-Quote>;\
          <Right-Single-Quote>;\
          <Left-Double-Quotes>;\
          <Right-Double-Quotes>;\
          <Bullet>;\
          <Em-Dash>;\
          <Trademark-Symbol,-Serif>;\
          <Non-Joiner,-Zero-Width>;\
          <Joiner,-Zero-Width>;\
          <Yen-Sign>;\
          <Diaeresis>;\
          <Copyright-Symbol>;\
          <Registered-Trademark-Symbol>;\
          <Macron-Accent>;\
          <degree>;...;<Right_To_Left-Mark-Zero-Width>

digit     <zero>;...;<nine>

xdigit    <zero>;...;<nine>;\
          <A>;...;<F>;\
          <a>;...;<f>

blank     <space>;\
          <tab>

toupper (<a>,<A>);(<b>,<B>);(<c>,<C>);(<d>,<D>);(<e>,<E>);\
        (<f>,<F>);(<g>,<G>);(<h>,<H>);(<i>,<I>);(<j>,<J>);\
        (<k>,<K>);(<l>,<L>);(<m>,<M>);(<n>,<N>);(<o>,<O>);\
        (<p>,<P>);(<q>,<Q>);(<r>,<R>);(<s>,<S>);(<t>,<T>);\
        (<u>,<U>);(<v>,<V>);(<w>,<W>);(<x>,<X>);(<y>,<Y>);\
        (<z>,<Z>)


END LC_CTYPE


#############
LC_COLLATE
#############

order_start

<NUL>
<SOH>
<STX>
<ETX>
<EOT>
<ENQ>
<ACK>
<BEL>
<backspace>
<tab>
<newline>
<vertical-tab>
<form-feed>
<carriage-return>
<SO>
<SI>
<DLE>
<DC1>
<DC2>
<DC3>
<DC4>
<NAK>
<SYN>
<ETB>
<CAN>
<EM>
<SUB>
<ESC>
<IS4>
<IS3>
<IS2>
<IS1>
<DEL>
<VTS>
<SS3>
<SOS>
<SCI>
<APC>
<space>
<circumflex>
<Diaeresis>
<underscore>
<shy>
<hyphen-minus>
<comma>
<arabic-comma>
<semicolon>
<arabic-semicolon>
<colon>
<exclamation-mark>
<question-mark>
<arabic-questionmark>
<slash>
<period>
<Acute-Accent>
<grave-accent>
<Circumflex-Accent-Over-Small>
<tilde>
<apostrophe>
<quotation-mark>
<left-parenthesis>
<right-parenthesis>
<left-square-bracket>
<right-square-bracket>
<left-curly-bracket>
<right-curly-bracket>
<Paragraph-Symbol-(USA)>
<commercial-at>
<currency>
<dollar-sign>
<cent>
<sterling>
<Yen-Sign>
<Asterisk>
<backslash>
<ampersand>
<number-sign>
<Percent-Sign>
<plus-sign>
<arabic-divide>
<arabic-multiply>
<less-than-sign>
<equals-sign>
<greater-than-sign>
<vertical-line>
<nobreakspace>
<degree>
<guillemot-left>
<guillemot-right>
<dot>
<Cedilla-or-Sedila-Accent>
<not>
<one-half>
<one-quarter>
<Three-Quarters>
<plus-minus>
<Left-Lower-Single-Quote>
<Florin-Sign>
<Left-Lower-Double-Quotes>
<Ellipsis>
<Dagger>
<Double-Dagger>
<Permille-Symbol>
<Left-Angle-Single-Quote>
<Left-Single-Quote>
<Right-Single-Quote>
<Left-Double-Quotes>
<Right-Double-Quotes>
<Bullet>
<Em-Dash>
<Trademark-Symbol,-Serif>
<Non-Joiner,-Zero-Width>
<Joiner,-Zero-Width>
<Copyright-Symbol>
<Registered-Trademark-Symbol>
<Macron-Accent>
<Left-To_Right-Mark-Zero-Width>
<Right_To_Left-Mark-Zero-Width>
<Micro-Symbol>
<zero>
<one>
<One-Superscript>
<two>
<Two-Superscript>
<three>
<Three-Superscript>
<four>
<five>
<six>
<seven>
<eight>
<nine>
<a>
<A>
<a-Grave-Small>
<a-Circumflex-Small>
<b>
<B>
<c>
<C>
<c-Cedilla-Small>
<d>
<D>
<e>
<E>
<e-Grave-Small>
<e-Acute-Small>
<e-Circumflex-Small>
<e-Diaeresis-Small>
<f>
<F>
<g>
<G>
<h>
<H>
<i>
<I>
<i-Circumflex-Small>
<i-Diaeresis-Small>
<j>
<J>
<k>
<K>
<l>
<L>
<m>
<M>
<n>
<N>
<OE-Ligature-Capital>
<o>
<O>
<o-Circumflex-Small>
<p>
<P>
<q>
<Q>
<r>
<R>
<s>
<S>
<t>
<T>
<u>
<U>
<u-Grave-Small>
<u-Circumflex-Small>
<u-Diaeresis-Small>
<v>
<V>
<w>
<W>
<x>
<X>
<y>
<Y>
<z>
<Z>
<Hamza-(A)---Intrinsic>
<Aleph-Madda-(A)-Intrinsic>
<Aleph-Hamza-(A)-Intrinsic>
<Waw-Hamza-(A)---Intrinsic>
<Hamza-under-Aleph-(A)-Intrins>
<Yeh-Hamza-(A)---Intrinsic>
<Aleph-(A)---Intrinsic>
<Beh-(A)---Intrinsic>
<Teh-Marbuta-(A)---Intrinsic>
<Peh-(F>
<Tcheh-(F>
<Zheh-(F),-Zzeh-(U)-Intrinsic>
<Gaf-(F>
<Teh-(A)---Intrinsic>
<Theh-(A)---Intrinsic>
<Jeem-(A)---Intrinsic>
<Hah-(A)---Intrinsic>
<Khah-(A)---Intrinsic>
<Dal-(A)---Intrinsic>
<Thal-(A)---Intrinsic>
<Reh-(A)---Intrinsic>
<Zayn-(A)---Intrinsic>
<Seen-(A)---Intrinsic>
<Sheen-(A)---Intrinsic>
<Sad-(A)---Intrinsic>
<Dud-(A)---Intrinsic>
<Tah-(A)---Intrinsic>
<Zah-(A)---Intrinsic>
<Ayn-(A)---Intrinsic>
<Ghayn-(A)---Intrinsic>
<Feh-(A)---Intrinsic>
<Qaf-(A)---Intrinsic>
<Caf-(A)---Intrinsic>
<Lam-(A)---Intrinsic>
<Meem-(A)---Intrinsic>
<Noon-(A)---Intrinsic>
<Heh-(A)---Intrinsic>
<Waw-(A)---Intrinsic>
<Aleph-Maksura-(A)---Intrinsic>
<Yeh-(A)---Intrinsic>
<Fathatan-(A)---Intrinsic>
<Dammatan-(A)---Intrinsic>
<Kasratan-(A)---Intrinsic>
<Fatha-(A)---Intrinsic>
<Damma-(A)---Intrinsic>
<Kasra-(A)---Intrinsic>
<Shadda-(A)---Intrinsic>
<Sukun-(A)---Intrinsic>
<tatweel>

order_end


END LC_COLLATE


#############
LC_MONETARY
#############

currency_symbol   "<currency>"
mon_decimal_point "<comma>"
mon_thousands_sep "<period>"
mon_grouping      "3;0"
positive_sign     ""
negative_sign     "<hyphen-minus>"
int_frac_digits   2
frac_digits       2
p_cs_precedes     1
p_sep_by_space    0
n_cs_precedes     1
n_sep_by_space    0
p_sign_posn       2
n_sign_posn       2
debit_sign        "<D><B>"
credit_sign       "<C><R>"
left_parenthesis  "<left-parenthesis>"
right_parenthesis "<right-parenthesis>"

END LC_MONETARY


#############
LC_NUMERIC
#############

decimal_point     "<comma>"
thousands_sep     "<period>"
grouping          "3;0"

END LC_NUMERIC

#############
LC_TIME
#############
abday     " <Hah-(A)---Intrinsic>";\
          " <Noon-(A)---Intrinsic>";\
          " <Theh-(A)---Intrinsic>";\
          " <Reh-(A)---Intrinsic>";\
          " <Khah-(A)---Intrinsic>";\
          " <Jeem-(A)---Intrinsic>";\
          " <Seen-(A)---Intrinsic>"

day       "<Aleph-(A)---Intrinsic><Lam-(A)---Intrinsic><Aleph-Hamza-(A)-Intrinsic><Hah-(A)---Intrinsic><Dal-(A)---Intrinsic>";\
          "<Aleph-(A)---Intrinsic><Lam-(A)---Intrinsic><Aleph-Hamza-(A)-Intrinsic><Theh-(A)---Intrinsic><Noon-(A)---Intrinsic><Yeh-(A)---Intrinsic><Noon-(A)---Intrinsic>";\
          "<Aleph-(A)---Intrinsic><Lam-(A)---Intrinsic><Theh-(A)---Intrinsic><Lam-(A)---Intrinsic><Aleph-(A)---Intrinsic><Theh-(A)---Intrinsic><Aleph-(A)---Intrinsic><Hamza-(A)---Intrinsic>";\
          "<Aleph-(A)---Intrinsic><Lam-(A)---Intrinsic><Aleph-Hamza-(A)-Intrinsic><Reh-(A)---Intrinsic><Beh-(A)---Intrinsic><Ayn-(A)---Intrinsic><Aleph-(A)---Intrinsic><Hamza-(A)---Intrinsic>";\
          "<Aleph-(A)---Intrinsic><Lam-(A)---Intrinsic><Khah-(A)---Intrinsic><Meem-(A)---Intrinsic><Yeh-(A)---Intrinsic><Seen-(A)---Intrinsic>";\
          "<Aleph-(A)---Intrinsic><Lam-(A)---Intrinsic><Jeem-(A)---Intrinsic><Meem-(A)---Intrinsic><Ayn-(A)---Intrinsic><Heh-(A)---Intrinsic>";\
          "<Aleph-(A)---Intrinsic><Lam-(A)---Intrinsic><Seen-(A)---Intrinsic><Beh-(A)---Intrinsic><Teh-(A)---Intrinsic>"

abmon     "<Yeh-(A)---Intrinsic><Noon-(A)---Intrinsic><Aleph-(A)---Intrinsic>";\
          "<Feh-(A)---Intrinsic><Beh-(A)---Intrinsic><Reh-(A)---Intrinsic>";\
          "<Meem-(A)---Intrinsic><Aleph-(A)---Intrinsic><Reh-(A)---Intrinsic>";\
          "<Aleph-(A)---Intrinsic><Beh-(A)---Intrinsic><Reh-(A)---Intrinsic>";\
          "<Meem-(A)---Intrinsic><Aleph-(A)---Intrinsic><Yeh-(A)---Intrinsic>";\
          "<Yeh-(A)---Intrinsic><Waw-(A)---Intrinsic><Noon-(A)---Intrinsic>";\
          "<Yeh-(A)---Intrinsic><Waw-(A)---Intrinsic><Lam-(A)---Intrinsic>";\
          "<Aleph-Hamza-(A)-Intrinsic><Ghayn-(A)---Intrinsic><Seen-(A)---Intrinsic>";\
          "<Seen-(A)---Intrinsic><Beh-(A)---Intrinsic><Meem-(A)---Intrinsic>";\
          "<Aleph-Hamza-(A)-Intrinsic><Caf-(A)---Intrinsic><Teh-(A)---Intrinsic>";\
          "<Noon-(A)---Intrinsic><Waw-(A)---Intrinsic><Feh-(A)---Intrinsic>";\
          "<Dal-(A)---Intrinsic><Yeh-(A)---Intrinsic><Seen-(A)---Intrinsic>"

mon       "<Yeh-(A)---Intrinsic><Noon-(A)---Intrinsic><Aleph-(A)---Intrinsic><Yeh-(A)---Intrinsic><Reh-(A)---Intrinsic>";\
          "<Feh-(A)---Intrinsic><Beh-(A)---Intrinsic><Reh-(A)---Intrinsic><Aleph-(A)---Intrinsic><Yeh-(A)---Intrinsic><Reh-(A)---Intrinsic>";\
          "<Meem-(A)---Intrinsic><Aleph-(A)---Intrinsic><Reh-(A)---Intrinsic><Seen-(A)---Intrinsic>";\
          "<Aleph-(A)---Intrinsic><Beh-(A)---Intrinsic><Reh-(A)---Intrinsic><Yeh-(A)---Intrinsic><Lam-(A)---Intrinsic>";\
          "<Meem-(A)---Intrinsic><Aleph-(A)---Intrinsic><Yeh-(A)---Intrinsic><Waw-(A)---Intrinsic>";\
          "<Yeh-(A)---Intrinsic><Waw-(A)---Intrinsic><Noon-(A)---Intrinsic><Yeh-(A)---Intrinsic><Heh-(A)---Intrinsic>";\
          "<Yeh-(A)---Intrinsic><Waw-(A)---Intrinsic><Lam-(A)---Intrinsic><Yeh-(A)---Intrinsic><Heh-(A)---Intrinsic>";\
          "<Aleph-Hamza-(A)-Intrinsic><Ghayn-(A)---Intrinsic><Seen-(A)---Intrinsic><Tah-(A)---Intrinsic><Seen-(A)---Intrinsic>";\
          "<Seen-(A)---Intrinsic><Beh-(A)---Intrinsic><Teh-(A)---Intrinsic><Meem-(A)---Intrinsic><Beh-(A)---Intrinsic><Reh-(A)---Intrinsic>";\
          "<Aleph-Hamza-(A)-Intrinsic><Caf-(A)---Intrinsic><Teh-(A)---Intrinsic><Waw-(A)---Intrinsic><Beh-(A)---Intrinsic><Reh-(A)---Intrinsic>";\
          "<Noon-(A)---Intrinsic><Waw-(A)---Intrinsic><Feh-(A)---Intrinsic><Meem-(A)---Intrinsic><Beh-(A)---Intrinsic><Reh-(A)---Intrinsic>";\
          "<Dal-(A)---Intrinsic><Yeh-(A)---Intrinsic><Seen-(A)---Intrinsic><Meem-(A)---Intrinsic><Beh-(A)---Intrinsic><Reh-(A)---Intrinsic>"

d_t_fmt " %A %d %B %H:%M:%S %Y"

d_fmt   "%d/%m/%y"

t_fmt   "%H:%M:%S"

am_pm   "<A><M>";"<P><M>"

END LC_TIME


#############
LC_MESSAGES
#############


yesexpr "^([yY][eE][sS]|[yY]|[<Noon-(A)---Intrinsic>][<Ayn-(A)---Intrinsic>][<Meem-(A)---Intrinsic>]|[<Noon-(A)---Intrinsic>])"
noexpr "^([nN][oO]|[nN]|[<Lam-(A)---Intrinsic>][<Aleph-(A)---Intrinsic>]|[<Lam-(A)---Intrinsic>])"

END LC_MESSAGES
